Skip to main content
GET
/
v1
/
companies
/
{company-id}
/
twilio_integrations
/
{id}
Retrieve a single TwilioIntegration
curl --request GET \
  --url https://api.tread-horizon.com/v1/companies/{company-id}/twilio_integrations/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "phone": "<string>",
    "twilio_region": "us",
    "company": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tread_id": "ABC123",
      "legal_name": "<string>",
      "company_type": "hauler"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string<uuid>
required

Company ID

id
string
required

TwilioIntegration ID

Response

OK

data
TwilioIntegration-Read · object
required